# PetscBagView

Views a bag of values as either ASCII text or a binary file

### Synopsis

    #include "petsc.h"
    #include "petscbag.h"
    PetscErrorCode PETSC_DLLEXPORT PetscBagView(PetscBag bag,PetscViewer view)

Collective on PetscBag

### Input Parameter

| bag | - the bag of values
| viewer | - location to view the values

Warning: Currently PETSc bags saved in a binary file can only be read back in on a machine of the same architecture. Let us know when this is a problem and we'll fix it.

### See Also

PetscBag, PetscBagSetName(), PetscBagDestroy(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterTruth(), PetscBagRegisterScalar(), PetscBagRegisterEnum() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName()

Level:beginner
Location: src/sys/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html